
ctools - Feature #1741

Refactor the cscripts to reduce the Sonar issues

03/12/2016 01:06 AM - Knödlseder Jürgen

Status: In Progress Start date:  

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:    

Description

There is a large number of Sonar issues for cscripts. The issues should be taken into account and the cscripts refactored.

Related issues:

Related to ctools - Feature # 1742: Write ctools coding conventions Closed 04/18/2016

Related to ctools - Action # 1828: Enhance the code quality Closed 07/29/2016

History

#1 - 03/12/2016 01:07 AM - Knödlseder Jürgen

- Target version set to 1.1.0

- Start date set to 03/12/2016

- % Done changed from 0 to 10

I started with the work on cscaldb. This can serve as example. Note that I made method "private" by adding an underscore, and I introduced new

provide methods to break the code into smaller pieces.

The usage of an underscore for private methods should be added to the (yet to be written) ctools coding conventions. See #1472.

#2 - 03/12/2016 02:48 AM - Knödlseder Jürgen

- Related to Feature #1742: Write ctools coding conventions added

#3 - 06/23/2016 12:32 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Target version changed from 1.1.0 to 1.2.0

#4 - 08/03/2016 01:05 AM - Knödlseder Jürgen

- Related to Action #1828: Enhance the code quality added

#5 - 08/03/2016 01:06 AM - Knödlseder Jürgen

- % Done changed from 10 to 50

Much of the work has been done under #1828. There is still some work to do to reduce the minor issues.

#6 - 03/03/2017 10:34 AM - Knödlseder Jürgen

- Target version deleted (1.2.0)

- Start date deleted (03/12/2016)
